#include <sru.h>
#include <def21489.h>

// This function will setup the SRU Registers

void InitSRU(void)
{
//Generating Code for connecting : FLAG4 to DPI_PIN1
	SRU (HIGH, DPI_PBEN06_I); 
	SRU (FLAG4_O, DPI_PB06_I); 

	//Generating Code for connecting : FLAG5 to DPI_PIN2
	SRU (HIGH, DPI_PBEN13_I); 
	SRU (FLAG5_O, DPI_PB13_I); 

	//Generating Code for connecting : FLAG6 to DPI_PIN3
	SRU (HIGH, DPI_PBEN14_I); 
	SRU (FLAG6_O, DPI_PB14_I); 

	//Generating Code for connecting : FLAG7 to DPI_PIN4
	SRU (HIGH, PBEN03_I); 
	SRU (LOW, DAI_PB03_I); 

	SRU (HIGH, PBEN04_I); 
	SRU (HIGH, DAI_PB04_I); 

	//Generating Code for connecting : FLAG8 to DPI_PIN5
	SRU (HIGH, PBEN15_I); 
	SRU (LOW, DAI_PB15_I); 

	//Generating Code for connecting : FLAG9 to DPI_PIN6
	SRU (HIGH, PBEN16_I); 
	SRU (HIGH, DAI_PB16_I); 

	SRU (HIGH, PBEN17_I); 
	SRU (LOW, DAI_PB17_I); 

	SRU (TIMER1_O, TIMER0_I); 

	// Return back from the subroutine
}	
